### Name: DNAmodel
### Title: Defines Models of DNA Evolution
### Aliases: DNAmodel
### Keywords: models

### ** Examples

### the K80 model:
mod <- DNAmodel()
### the simplest substitution model:
mod <- DNAmodel("JC69")
### the classical GTR + G4 + I:
mod <- DNAmodel("GTR", ncat.isv = 4, invar = TRUE)
### codon-partitioning (with K80):
mod <- DNAmodel(partition = c(1, 1, 2))
### the same but adding inter-sites variation (the alpha parameter
### is the same for both partitions):
mod <- DNAmodel(partition = c(1, 1, 2), ncat.isv = 4)
### ... and with different `alpha' for each partition:
mod <- DNAmodel(partition = c(1, 1, 2), ncat.isv = 4, equal.isv = FALSE)



