### Name: boot.phylo
### Title: Tree Bipartition and Bootstrapping Phylogenies
### Aliases: boot.phylo prop.part prop.clades print.prop.part
###   summary.prop.part plot.prop.part
### Keywords: manip htest

### ** Examples

data(woodmouse)
tr <- nj(dist.dna(woodmouse))
### Are bootstrap values stable?
for (i in 1:5)
  print(boot.phylo(tr, woodmouse, function(xx) nj(dist.dna(xx))))
### How many partitions in 100 random trees of 10 labels?...
TR <- replicate(100, rtree(10), FALSE)
pp10 <- prop.part(TR)
length(pp10)
### ... and in 100 random trees of 20 labels?
TR <- replicate(100, rtree(20), FALSE)
pp20 <- prop.part(TR)
length(pp20)
plot(pp10, pch = "x", col = 2)
plot(pp20, pch = "x", col = 2)



